Bug 1125018 - Please change HornetQ behavior when dealing with clusters and JCA provider. Failover should not remove all Registry entries.
Summary: Please change HornetQ behavior when dealing with clusters and JCA provider. ...
Keywords:
Status: NEW
Alias: None
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBoss HornetQ
Version: 5.3.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: trev
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-30 21:28 UTC by Rick Wagner
Modified: 2018-12-06 17:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Support Patch


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker HORNETQ-1380 Major Closed HQ client try all servers before failure 2014-08-26 10:48:14 UTC

Description Rick Wagner 2014-07-30 21:28:18 UTC
Description of problem:

When using SOA-P 5.3.1 and a HornetQ cluster, the JCA provider will register endpoints that are all removed if HQ fails a single connection.  The JCA provider can be configured with multiple machine addresses, but a failure on the first will result in every Service binding template being removed.

Please note see related HQ ticket, collaborate with HQ developers as needed.

Comment 2 JBoss JIRA Server 2014-08-26 10:48:14 UTC
Andy Taylor <ataylor@redhat.com> updated the status of jira HORNETQ-1380 to Closed


Note You need to log in before you can comment on or make changes to this bug.